"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Response = /** @class */ (function () {
    function Response() {
    }
    Response.getInstance = function () {
        if (!this._instance) {
            this._instance = new Response();
        }
        return this._instance;
    };
    Response.prototype.json = function (data) {
        //Response with JSON
    };
    Response.prototype.jsonP = function (data) {
        //Sends a JSON response with JSONP support
    };
    Response.prototype.links = function (links) {
        //Joins the links provided as properties of the parameter to populate the response’s Link HTTP header field
    };
    Response.prototype.redirect = function (url) {
        //Redirects to the URL derived from the specified url
    };
    Response.prototype.render = function (view, locals) {
        //Renders a view and sends the rendered HTML string to the client (Views can be created in the Dashboard)
    };
    Response.prototype.send = function (body) {
        //Sends the HTTP response.
    };
    Response.prototype.sendStatus = function (statusCode) {
        //Sets the response HTTP status code to statusCode and sends the registered status message as the text response body
    };
    Response.prototype.status = function (statusCode) {
        //Sets the HTTP status for the response. It is a chainable alias of res.statusCode
        return this;
    };
    Response.prototype.attachment = function (fileName) {
        //Sets the HTTP response Content-Disposition header field to “attachment” (Files have to be Uploaded on Api-Lib)
    };
    Response.prototype.download = function (fileName) {
        //Transfers the file at path as an “attachment”. Typically, browsers will prompt the user for download
    };
    Response.prototype.type = function (type) {
        //Sets the Content-Type HTTP header to the MIME type as determined by the specified type
    };
    Response.prototype.cookie = function (name, value, options) {
        //Sets cookie name to value. The value parameter may be a string or object converted to JSON
    };
    Response.prototype.clearCookie = function (name, options) {
    };
    Response.prototype.get = function (field) {
        //Returns the HTTP response header specified by field
        return "";
    };
    Response.prototype.set = function (field, value) {
        //Sets the response’s HTTP header field to value. To set multiple fields at once, pass an object as the parameter
    };
    return Response;
}());
exports.default = Response;
