declare class Datastore {
    private _databaseName;
    private selectedCollection;
    constructor(databaseName: string);
    collection(collectionName: string): this;
    getOne(query: any, collectionName?: string): Promise<{
        save: () => Promise<unknown>;
        remove: () => Promise<unknown>;
    }>;
    getMany(query: any, collectionName?: string): Promise<{
        data: string;
    }>;
    remove(query: any, collectionName?: string): Promise<{
        data: string;
    }>;
}
export default Datastore;
