declare class Request {
    private static _instance;
    private _baseUrl;
    private _fresh;
    private _stale;
    private _ip;
    private _method;
    private _protocol;
    private _host;
    private _hostname;
    private _originalUrl;
    private _path;
    private _secure;
    private _xhr;
    private _query;
    private _params;
    private _auth;
    private _body;
    static getInstance(): Request;
    get body(): any;
    get cookies(): string;
    get signedCookies(): string;
    get fresh(): Boolean;
    get stale(): Boolean;
    get ip(): String;
    get method(): String;
    get protocol(): String;
    get host(): String;
    get hostname(): String;
    get originalUrl(): String;
    get baseUrl(): String;
    get path(): String;
    get params(): any;
    get query(): any;
    get secure(): Boolean;
    get xhr(): Boolean;
    get auth(): any;
    generateAuthentication(payload: any): Promise<[string, string]>;
    accepts(types: String | Array<String>): void;
    get(field: String): void;
    is(type: String): void;
}
export default Request;
